<?php

namespace App\Http\Controllers\Admin;

use App\AdditionalService;
use App\Http\Requests\AdminStoreAdditionalServiceRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AdminAdditionalServiceController extends Controller
{
    public function index()
    {
        $items = AdditionalService::orderBy('created_at', 'desc')->paginate(15);
        $title = "الخدمات الإضافية ";
        return view('admin.additionalServices', compact('title', 'items'))->with(['controller' => $this]);
    }

    public function show($id)
    {
        $item = AdditionalService::find($id);
        $title = "بيانات قطعة الملابس";
        return view('admin.additionalService', compact('title', 'item'))->with(['controller' => $this]);
    }

    public function store(AdminStoreAdditionalServiceRequest $request)
    {
        try {
            AdditionalService::create($request->all());
            return back()->with('success', 'تم عملية الإضافة بنجاح..');
        } catch (\Exception $exception) {
            return back()->with('success', 'حدث خلل غير متوقع أثناء عملية الإضافة');
        }
    }

    public function update(AdminStoreAdditionalServiceRequest $request, $id)
    {
        try {
            AdditionalService::find($id)->update(["name" => $request->name]);
            return back()->with('success', 'تم عملية التحديث بنجاح..');
        } catch (\Exception $exception) {
            return back()->with('success', 'حدث خلل غير متوقع أثناء عملية تحديث البيانات');
        }
    }

    public function delete(Request $request)
    {
        if (!$request->id) {
            return 'معرف قطعة الملابس غير صالح';
        }
        $item = AdditionalService::find($request->id);
        if ($item != null) {
            if ($item->delete()) {
                return "تم عملية الحذف بنجاح";
            } else {
                return "حدث خطأ غير متوقع أثناء الحذف .. حاول في وقت آخر !";
            }
        } else {
            return " تحاول حذف عنصر غير موجود ..  !";
        }
    }
}
