<?php

namespace App\Http\Controllers\Api;

use App\Order;
use App\OrderCloth;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;

class ApiOrderClothController extends Controller
{
    public function delete($id)
    {
        try {
            $user = Auth::guard('api')->user();
            if ($user->role != 3) {
                return response()->json($this->result(false, "هذه الخدمة فقط للعملاء ", -4));
            }
            $item = OrderCloth::where('id', '=', $id)->first();
            if (!$item) {
                return response()->json($this->result(false, "تعذر الحصول على العنصر المراد حذفه", -3));
            }
            //check if order_cloth related to customer
            $order = Order::where('id', '=', $item->order_id)->where('customer_id', '=', $user->id)->first();
            if (!$order) {
                return response()->json($this->result(false, "تعذر الحصول على العنصر المراد حذفه", -3));
            }
            $item_with_status = Order::where('id', '=', $item->order_id)->where('customer_id', '=', $user->id)->where('status', '=', -1)->first();
            if (!$item_with_status) {
                return response()->json($this->result(false, "تعذر حذف عنصر من الطلب، فقط يمكنك حذف عنصر من الطلب الجديد", -3));
            }
            if ($order->OrderClothes->count() == 1 and $order->orderAdditionalServices->count() == 0) {
                if (!($order->delete())) {
                    return response()->json($this->result(false, "حدث خلل غير متوقع أثناء الإرسال، حاول في وقت آخر ", -2));
                }
                return response()->json($this->result(true, "تم حذف الطلب بنجاح", 2));
            } else {
                //minus item cost from order cost
                $item_cost = ($this->getClothWhiteCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $item->white_count) + ($this->getClothColoredCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $item->colored_count);
                if ($item->delete()) {
                    $order->cost = $order->cost - $item_cost;
                    $order->save();
                    $customer_id = $user->id;
                    $updated_order = Order::with(['laundry', 'laundry.profile', 'laundry.location', 'laundry.has_rate' => function ($q) use ($customer_id/*, $laundry_id*/) {
                        $q->where('user_id', '!=', $customer_id)/*->where('laundry_id', '=', $laundry_id)*/
                        ;
                    }, 'customer', 'customer.profile', 'customer.location', 'OrderClothes', 'orderAdditionalServices', 'orderAdditionalServices'])->find($order->id);
                    return response()->json($this->resultWithVar(true, "تم حذف العنصر وتحديث الطلب بنجاح", 1, "order", $updated_order));
                } else {
                    return response()->json($this->result(false, "حدث خلل غير متوقع أثناء الإرسال، حاول في وقت آخر ", -2));
                }
            }
        } catch (\Exception $exception) {
            return response()->json($this->result(false, "حدث خلل غير متوقع أثناء الإرسال، حاول في وقت آخر ", -2));
        }
    }

   /* public function update(Request $request, $id)
    {
        try {
            $user = Auth::guard('api')->user();
            if ($user->role != 3) {
                return response()->json($this->result(false, "هذه الخدمة فقط للعملاء ", -4));
            }
            //request validation
            $validator = Validator::make($request->all(), [
                'white_count' => ['required', 'numeric'],
                'colored_count' => ['required', 'numeric'],
            ]);
            if ($validator->fails()) {
                return response()->json($this->resultWithVar(false, "يجب إدخال جميع البيانات بالشكل الصحيح", 0, "errors", $this->validatorErrorsToStringArray($validator)));
            }
            $item = OrderCloth::where('id', '=', $id)->first();
            if (!$item) {
                return response()->json($this->result(false, "تعذر الحصول على العنصر المراد تحديثه", -3));
            }
            //check if order_cloth related to customer
            $order = Order::where('id', '=', $item->order_id)->where('customer_id', '=', $user->id)->first();
            if (!$order) {
                return response()->json($this->result(false, "تعذر الحصول على العنصر المراد تحديثه", -3));
            }
            $item_with_status = Order::where('id', '=', $item->order_id)->where('customer_id', '=', $user->id)->where('status', '=', -1)->first();
            if (!$item_with_status) {
                return response()->json($this->result(false, "تعذر تحديث عنصر من الطلب، فقط يمكنك تحديث عنصر من الطلب الجديد", -3));
            }
            //minus item cost from order cost
            $current_item_cost = ($this->getClothWhiteCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $item->white_count) + ($this->getClothColoredCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $item->colored_count);

            $item->white_count = $request->white_count;
            $item->colored_count = $request->colored_count;
            if ($item->save()) {
                $order->cost = $order->cost - $current_item_cost;
                $order->save();
                $order->cost = $order->cost + ($this->getClothWhiteCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $request->white_count) + ($this->getClothColoredCost($item->laundry_cloth_price_id, $item->washingOrIroning, 0) * $request->colored_count);
                $order->save();
                $customer_id = $user->id;
                $updated_order = Order::with(['laundry', 'laundry.profile', 'laundry.location', 'laundry.has_rate' => function ($q) use ($customer_id) {
                    $q->where('user_id', '=', $customer_id)
                    ;
                }, 'customer', 'customer.profile', 'customer.location', 'OrderClothes', 'orderAdditionalServices', 'orderAdditionalServices'])->find($order->id);
                return response()->json($this->resultWithVar(true, "تم تحديث العنصر وتحديث الطلب بنجاح", 1, "order", $updated_order));
            } else {
                return response()->json($this->result(false, "حدث خلل غير متوقع أثناء الإرسال، حاول في وقت آخر ", -2));
            }
        } catch (\Exception $exception) {
            return response()->json($this->result(false, "حدث خلل غير متوقع أثناء الإرسال، حاول في وقت آخر ", -2));
        }
    }*/
}
