<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Laundry extends Model
{
    use Notifiable;
    protected $table ="users";

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'phone', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function userProfile()
    {
        return $this->hasOne(UserProfile::class);
    }

    public function verification()
    {
        return $this->hasOne(Verification::class);
    }

    public function location()
    {
        return $this->hasOne(Location::class);
    }

    public function subscription()
    {
        return $this->hasOne(Subscription::class,'laundry_id');
    }

    public function car()
    {
        return $this->hasOne(Car::class,'laundry_id');
    }


    public function generateToken()
    {
        $this->api_token = str_random(60);
        $this->save();
        return $this->api_token;
    }

    public function generateActivation($user_id)
    {
        $generated_password = random_int(11111, 99999);//use it after run SMS
        /*        sendSMS($generated_password);*/
        $verification = new Verification();
        $verification->user_id = $user_id;
        $verification->code =  /*$generated_password*/
            12345; //for testing
        $verification->save();
    }

    public function sendSMS($generated_password)
    {

    }



}
