<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Location extends Model
{
    protected $table = "locations";
    protected $hidden = [
        'user_id'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function userWithToken()
    {
        return $this->belongsTo(UserWithToken::class);
    }


    public static function nearby($request_lat, $request_lng)
    {
        $results = DB::table('locations')
            ->join('users', 'locations.user_id', '=', 'users.id')
            ->where('users.role', '=', 2)
            ->select(DB::raw('( 3959 * acos( cos( radians(' . $request_lat . ') ) * cos( radians( lat ) ) * cos( radians( long ) - radians(' . $request_lng . ') ) + sin( radians(' . $request_lat . ') ) * sin( radians(lat) ) ) ) AS distance'))
            ->having('distance', '<', 50)
            ->take(10)
            ->get();
        return $results;
    }
}
