<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersClothesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders_clothes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('order_id')->unsigned();
            $table->foreign('order_id')->references('id')->on('orders')->onDelete('cascade');
            $table->bigInteger('laundry_cloth_price_id')->unsigned()->nullable();
            $table->foreign('laundry_cloth_price_id')->references('id')->on('laundries_clothes_prices')->onDelete('set null');
            $table->string('cloth_name');
            $table->tinyInteger('washingOrIroning');//0 is washing, 1 is ironing, 2 both
            $table->tinyInteger('white_count')->default(0);
            $table->tinyInteger('colored_count')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders_clothes');
    }
}
