<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersClothesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders_clothes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('order_id')->unsigned();
            $table->foreign('order_id')->references('id')->on('orders')->onDelete('cascade');
            $table->integer('cloth_service_id')->unsigned();
            $table->foreign('cloth_service_id')->references('id')->on('clothes_services')->onDelete('cascade');
            $table->integer('count');
            $table->tinyInteger('washingOrIroning');//0 is washing, 1 is ironing, 3 both
            $table->tinyInteger('is_colored');//0 is white, 1 is colored
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders_clothes');
    }
}
