<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSubscriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscriptions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('laundry_id')->unsigned();
            $table->foreign('laundry_id')->references('id')->on('users')->onDelete('cascade');
            $table->bigInteger('subscription_order_id')->unsigned()->nullable();
            $table->foreign('subscription_order_id')->references('id')->on('subscription_orders')->onDelete('SET NULL');
            $table->integer('subscription_plan_id')->unsigned()->nullable();
            $table->foreign('subscription_plan_id')->references('id')->on('subscription_plans')->onDelete('SET NULL');
            $table->timestamp('expired_at');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscriptions');
    }
}
