<?php

namespace App\Http\Controllers;

use App\Message;
use App\Order;
use App\Subscription;
use App\SubscriptionOrder;
use App\User;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    //json responses functions
    public function result($status, $message, $status_code)
    {
        $arr = array('status' => $status, 'message' => $message, 'status_code' => $status_code);
        return $arr;
    }

    public function resultWithVar($status, $message, $status_code, $result_name, $result_value)
    {
        $arr = array("status" => $status, "message" => $message, "status_code" => $status_code, $result_name => $result_value);
        return $arr;
    }

    /*public function result($status, $message, $status_code){
        $arr = array('status' => $status, 'message' => $message, 'status_code' => $status_code);
        return $arr;
    }*/

    function time_ago($date)
    {
        if (empty($date)) {
            return "الوقت غير محدد";
        }

        $periods = array("ثانية", "دقيقة", "ساعة", "يوم", "أسبوع", "شهر", "سنة", "decade");
        $lengths = array("60", "60", "24", "7", "4.35", "12", "10");

        $now = time();
        $unix_date = strtotime($date);

        // check validity of date
        if (empty($unix_date)) {
            return "صيغة غير صالحة للتاريخ";
        }

        // is it future date or past date
        if ($now > $unix_date) {
            $difference = $now - $unix_date;
            $tense = "منذ";

        } else {
            $difference = $unix_date - $now;
            $tense = "من الآن";
        }

        for ($j = 0; $difference >= $lengths[$j] && $j < count($lengths) - 1; $j++) {
            $difference /= $lengths[$j];
        }

        $difference = round($difference);

        if ($difference != 1) {
            $periods[$j] .= "";
        }

        return "{$tense} $difference $periods[$j]";
    }

    /* function estateFirstFile($id){
         $file = File::where('estate_id','=', $id)->first();
         if($file != null)
         return $file->name;
         else
             return 0;
     }*/

    /*counters*/

    /*counting*/
    public function messagesCount()
    {
        return Message::all()->count();
    }

    public function unreadMessagesCount()
    {
        $unread_messages = Message::where('is_read', '=', 0);
        return $unread_messages->count();
    }

    public function usersCount(){
        try{
            return User::all()->count();
        }catch (\Exception $exception){
            return 0;
        }
    }

    public function subscriptionOrdersCount(){
        try{
            return SubscriptionOrder::all()->count();
        }catch (\Exception $exception){
            return 0;
        }
    }

    public function subscriptionsCount(){
        try{
            return Subscription::all()->count();
        }catch (\Exception $exception){
            return 0;
        }
    }

    public function ordersCount(){
        try{
            return Order::all()->count();
        }catch (\Exception $exception){
            return 0;
        }
    }
    /*counting*/
}
