<?php

namespace App;
use GuzzleHttp\Client;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{

    use Notifiable;
    protected $table ="users";

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'phone', 'password','role'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token','api_token'
    ];

    public function profile()
    {
        return $this->hasOne(UserProfile::class);
    }

    public function verification()
    {
        return $this->hasOne(Verification::class);
    }

    public function location()
    {
        return $this->hasOne(Location::class);
    }

    public function subscription()
    {
        return $this->hasOne(Subscription::class,'laundry_id');
    }

    public function car()
    {
        return $this->hasOne(Car::class,'laundry_id');
    }

     function generateToken()
    {
        $this->api_token = str_random(120);
        $this->save();
        return $this->api_token;
    }

    public function generateActivation($user)
    {
        $generated_password = random_int(11111, 99999);//use it after run SMS
        /*        sendSMS($generated_password);*/
        $verification = new Verification();
        $verification->code = $generated_password; //for testing
        $user->verification()->save($verification);
        $this->sendSMS($user, $generated_password);
    }

    public function sendSMS($user, $generated_password)
    {
        $client = new Client(); //GuzzleHttp\Client

        $username = "0560705959";
        $password = "123456789";
        $number = $user->phone;
        $sender = "Mghasel";
        $message = "رمز التحقق الخاص بك: $generated_password";

        $headers = ['Content-type' => 'text/plain; charset=utf-8'];

        $result = $client->get("https://www.hisms.ws/api.php?send_sms&username=$username&password=$password&numbers=966$number&sender=$sender&message=$message", ['headers' => $headers]);
        return $result->getStatusCode();
    }


    public function laundryRatings(){
        return $this->hasMany(Rating::class, 'laundry_id', 'id');
    }

    public function userRatings(){
        return $this->hasMany(Rating::class, 'user_id', 'id');
    }


}
