@extends('layouts.master')
@section('title')
    عرض الرسائل الواردة
@endsection
@section('head')
    <link href="{{ asset('css/admin/messages.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        function deleteMessage(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/message')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        /*
                         alert(response);
                         */
                        $('#message-' + id).remove();
                        $('#selected-message-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }

    </script>
    <script>
        function showMessage(id, content) {
            var message_box = $('#selected-message-' + id);
            var reply_box = $('#selected-reply-' + id);
            $('#message-icon-'+id).attr('class', 'fa fa-envelope-o');

            if (!message_box.length) {
                var token = $('meta[name="csrf-token"]').attr('content');
                var message = $('#message-' + id);
                message.after("<tr id='selected-message-" + id + "' class='message'><td colspan='7'><textarea readonly  style='cursor:default;color:white;width: 98%;resize: none; border: none; background-color: #2ab27b; max-height: 100px; min-height: 100px'>" + content + "</textarea></td></tr>");
                $.ajax({
                    url: '{{url('admin/message')}}',
                    type: 'put',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        /*
                         alert(response);
                         */
                        /*
                         $('#message-' + id).remove();
                         */
                    },
                    error: function () {
                    }
                }); // end ajax call
            } else if (message_box.length) {
                message_box.remove();
                /*
                                reply_box.remove();
                */
            }
        }

    </script>
@endsection
@section('active_title')
    الرسائل الواردة
@endsection
@section('count')
    {{$messages->count()}}
@endsection
@section('table-title')
    عرض الرسائل الواردة
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th></th>
            <th>البريد الإلكتروني</th>
            <th>رقم الجوال</th>
            <th>الإسم</th>
            <th>تاريخ الإرسال</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($messages as $message)
            <tr onmouseover="handCursor()" style="cursor: pointer; cursor: hand;"
                onclick="showMessage('{{$message->id}}','{{$message->content}}')"
                id="message-{{$message->id}}">
                <td>{{$page_loop}}</td>
                <td><i id="message-icon-{{$message->id}}" @if($message->is_read === 1) class="fa fa-envelope-o"
                       @else class="fa fa-envelope" @endif</td>
                <td>{{$message->email}}</td>
                <td>{{$message->phone}}</td>
                <td>{{$message->name}}</td>
                <td><span class="fa fa-clock-o"></span> {{$controller->time_ago($message->created_at)}}
                    <small>{{$message->created_at}}</small>
                </td>
                <td>
                    <button class="btn btn-danger" id="delete-message-{{$message->id}}"
                            onclick="deleteMessage({{$message->id}})">حذف
                    </button>
                </td>
            </tr>
            <?php $page_loop++; ?>

        @endforeach

        </tbody>
    </table>
    <div class="pagination">
        {{$messages->links()}}
    </div>
@endsection
