<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@redirectToLogin');

Auth::routes();

Route::get('home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin', 'middleware' => 'auth'], function () {

    //Messages
    Route::get('messages', 'Admin\AdminMessageController@index');
    Route::delete('message', 'Admin\AdminMessageController@delete');
    Route::put('message', 'Admin\AdminMessageController@read');

    //User
    Route::get('usersList', 'Admin\AdminUserController@index');
    Route::get('admins', 'Admin\AdminUserController@admins');
    Route::get('laundries', 'Admin\AdminUserController@laundries');
    Route::get('users', 'Admin\AdminUserController@users');
    Route::post('user', 'Admin\AdminUserController@store');
    Route::get('user/{id}', 'Admin\AdminUserController@show');
    Route::get('user/map/{lat}/{lng}', 'Admin\AdminUserController@map');
    Route::delete('user', 'Admin\AdminUserController@delete');
    Route::get('marker', 'Admin\AdminUserController@marker');
    //Ready to here
    Route::post('user/{id}/UpdatePhoto', 'Admin\AdminUserController@updatePhoto');
    Route::post('user/{id}/updateInfo', 'Admin\AdminUserController@updateInfo');
    Route::post('user/{id}/updatePassword', 'Admin\AdminUserController@updatePassword');
    Route::post('user/{id}/updateCar', 'Admin\AdminUserController@updateCar');
    Route::post('user/{id}/updateLocation', 'Admin\AdminUserController@updateLocation');

    //Subscription Plan
    Route::get('subscriptionPlans', 'Admin\AdminSubscriptionPlanController@index');
    Route::post('subscriptionPlan', 'Admin\AdminSubscriptionPlanController@store');

    //Cloth Service
    Route::get('clothesServices', 'Admin\AdminClothServiceController@index');
    Route::get('clothService/{id}', 'Admin\AdminClothServiceController@show');
    Route::post('clothService', 'Admin\AdminClothServiceController@store');
    Route::post('clothService/{id}/update', 'Admin\AdminClothServiceController@update');
    Route::delete('clothService', 'Admin\AdminClothServiceController@delete');

    //Additional Service
    Route::get('additionalServices', 'Admin\AdminAdditionalServiceController@index');
    Route::get('additionalService/{id}', 'Admin\AdminAdditionalServiceController@show');
    Route::post('additionalService', 'Admin\AdminAdditionalServiceController@store');
    Route::post('additionalService/{id}/update', 'Admin\AdminAdditionalServiceController@update');
    Route::delete('additionalService', 'Admin\AdminAdditionalServiceController@delete');









});