@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/users.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/user')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
@endsection
@section('active_title')
    {{$title}}
@endsection
@section('count')
    {{$items->count()}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الإسم</th>
            <th>رقم الجوال</th>
            <th>البريد الإلكتروني</th>
            {{--@if($users_role == 2)
                <th>تاريخ انتهاء الأشتراك</th>
            @endif--}}
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($items as $item)
            <tr id="item-{{$item->id}}">
                <td>{{$page_loop}}</td>
                <td>@if($item->profile->name != null){{$item->profile->name}} @else لا يوجد @endif</td>
                <td>{{$item->phone}}</td>
                <td>{{$item->profile->email}}</td>
               {{-- @if($users_role == 2)
                    <td>{{$item->subscription->expired_at}} <a href="#" class="btn btn-warning"><span class="fa fa-dollar"></span></a></td>
                @endif--}}
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td>
                    <a class="btn btn-success" href="{{url('admin/user/'.$item->id)}}"><span
                                class="fa fa-edit"></span>
                    </a>
                    @if($item->id != Auth::user()->id)
                        <a class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                    class="fa fa-remove"></span>
                        </a>@else
                        <small class="btn disabled" onclick="alert('لا يمكنك حذف نفسك !!')"
                               style="cursor: no-drop"><span
                                    class="fa fa-remove"> حذف</span>
                        </small> @endif
                </td>
            </tr>
            <?php $page_loop++; ?>
        @endforeach
        </tbody>
    </table>
    <div class="pagination">
        {{$items->links()}}
    </div>
@endsection
