<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted'             => 'The :attribute must be accepted.',
    'active_url'           => 'The :attribute is not a valid URL.',
    'after'                => 'The :attribute must be a date after :date.',
    'after_or_equal'       => 'The :attribute must be a date after or equal to :date.',
    'alpha'                => 'The :attribute may only contain letters.',
    'alpha_dash'           => 'The :attribute may only contain letters, numbers, and dashes.',
    'alpha_num'            => 'The :attribute may only contain letters and numbers.',
    'array'                => 'The :attribute must be an array.',
    'before'               => 'The :attribute must be a date before :date.',
    'before_or_equal'      => 'The :attribute must be a date before or equal to :date.',
    'between'              => [
        'numeric' => 'The :attribute must be between :min and :max.',
        'file'    => 'The :attribute must be between :min and :max kilobytes.',
        'string'  => 'The :attribute must be between :min and :max characters.',
        'array'   => 'The :attribute must have between :min and :max items.',
    ],
    'boolean'              => 'The :attribute field must be true or false.',
    'confirmed'            => 'The :attribute confirmation does not match.',
    'date'                 => 'The :attribute is not a valid date.',
    'date_format'          => 'The :attribute does not match the format :format.',
    'different'            => 'The :attribute and :other must be different.',
    'digits'               => 'The :attribute must be :digits digits.',
    'digits_between'       => 'The :attribute must be between :min and :max digits.',
    'dimensions'           => 'The :attribute has invalid image dimensions.',
    'distinct'             => 'The :attribute field has a duplicate value.',
    'email'                => 'The :attribute must be a valid email address.',
    'exists'               => 'The selected :attribute is invalid.',
    'file'                 => 'The :attribute must be a file.',
    'filled'               => 'The :attribute field must have a value.',
    'image'                => 'The :attribute must be an image.',
    'in'                   => 'The selected :attribute is invalid.',
    'in_array'             => 'The :attribute field does not exist in :other.',
    'integer'              => 'The :attribute must be an integer.',
    'ip'                   => 'The :attribute must be a valid IP address.',
    'ipv4'                 => 'The :attribute must be a valid IPv4 address.',
    'ipv6'                 => 'The :attribute must be a valid IPv6 address.',
    'json'                 => 'The :attribute must be a valid JSON string.',
    'max'                  => [
        'numeric' => 'The :attribute may not be greater than :max.',
        'file'    => 'The :attribute may not be greater than :max kilobytes.',
        'string'  => 'The :attribute may not be greater than :max characters.',
        'array'   => 'The :attribute may not have more than :max items.',
    ],
    'mimes'                => 'The :attribute must be a file of type: :values.',
    'mimetypes'            => 'The :attribute must be a file of type: :values.',
    'min'                  => [
        'numeric' => 'The :attribute must be at least :min.',
        'file'    => 'The :attribute must be at least :min kilobytes.',
        'string'  => 'The :attribute must be at least :min characters.',
        'array'   => 'The :attribute must have at least :min items.',
    ],
    'not_in'               => 'The selected :attribute is invalid.',
    'numeric'              => 'The :attribute must be a number.',
    'present'              => 'The :attribute field must be present.',
    'regex'                => 'The :attribute format is invalid.',
    'required'             => 'The :attribute field is required.',
    'required_if'          => 'The :attribute field is required when :other is :value.',
    'required_unless'      => 'The :attribute field is required unless :other is in :values.',
    'required_with'        => 'The :attribute field is required when :values is present.',
    'required_with_all'    => 'The :attribute field is required when :values is present.',
    'required_without'     => 'The :attribute field is required when :values is not present.',
    'required_without_all' => 'The :attribute field is required when none of :values are present.',
    'same'                 => 'The :attribute and :other must match.',
    'size'                 => [
        'numeric' => 'The :attribute must be :size.',
        'file'    => 'The :attribute must be :size kilobytes.',
        'string'  => 'The :attribute must be :size characters.',
        'array'   => 'The :attribute must contain :size items.',
    ],
    'string'               => 'The :attribute must be a string.',
    'timezone'             => 'The :attribute must be a valid zone.',
    'unique'               => 'The :attribute has already been taken.',
    'uploaded'             => 'The :attribute failed to upload.',
    'url'                  => 'The :attribute format is invalid.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
        'phone' => [
            'required' => 'رقم الجوال مطلوب',
            'unique' => 'رقم الجوال مسجل مسبقاً',
            'regex' => " خلل في رقم الجوال ، الرجاء إدخال رقم الجوال سعودي صحيح",
            'numeric' => " صيغة الرقم غير صالحة",
            'max' => " رقم الجوال طويل للغاية، الرجاء كتابة رقم جوال بشكل صحيح",
        ],
        'email' => [
            'required' => 'البريد الإلكتروني مطلوب',
            'unique' => 'البريد الإلكتروني مسجل مسبقاً',
            'email' => " خلل في كتابة البريد الإلكتروني ، الرجاء إدخال بريد إلكتروني صحيح",
            'string' => " صيغة البريد الإلكتروني غير صالحة",
            'max' => " البريد الإلكتروني طويل للغاية، الرجاء كتابة بريد إلكتروني بشكل صحيح",
        ],
        'name' => [
            'required' => 'الإسم مطلوب',
            'string' => "صيغة الإسم غير صالحة، أدخل نص",
            'max' => "يجب كتابة اسم أقل من 199 خانة",
            'min' => "يجب كتابة 3 حروف على الأقل",
            'unique' => "الإسم المدخل موجود مسبقاً",
            'regex' => "صيغة الإسم غير صالحة، أدخل نص",
        ],
        'password' => [
            'required' => "كلمة المرور مطلوبة",
            'min' => "يجب كتابة كلمة مرور 6 خانات على الأقل",
            'string' => "صيغة كلمة المرور غير صالحة، أدخل نص",
            'max' => "يجب كتابة كلمة مرور أقل من 199 خانة",
            'confirmed' => "كلمة السر وتأكيد كلمة السر غير متطابقتين",
        ],
        'role' => [
            'required' => "درجة صلاحية المستخدم مطلوبة",
            'regex' => "خطأ في تعيين الصلاحية، الصلاحيات المتوفرة عميل, مغسلة",
        ],
        'photo' => [
            'required' => "الصورة مطلوبة",
            'mimes' => "صيغة الصورة غير صالحة الصيغ المسموحة JPG, JPEG, PNG, BMP",
            'max' => "تجاوزت الحد المسموح لحجم الصورة",
            'image' => "يجب أن تكون صيغة الملف صورة",
        ],
        'address' => [
            'required' => "العنوان مطلوب",
            'max' => "تجاوزت الحد الأقصى للعنوان 500 حرف",
        ],

        'duration' => [
            'required' => " الفترة الزمنية مطلوبة",
            'numeric' => "صيغة الفترة الزمنية غير صالحة، أدخل رقم",
        ],
        'cost' => [
            'required' => "قيمة التكلفة مطلوبة",
            'numeric' => "صيغة التكلفة غير صالحة، أدخل رقم",
        ],
        'details' => [
            'required' => "التفاصيل مطلوبة",
            'string' => "صيغة التفاصيل غير صالحة، أدخل نص",
        ],
        'lat' => [
            'required' => "قيمة الـ longitude مطلوبة",
            'numeric' => "صيغة longitude غير صالحة، أدخل رقم",
        ],
        'lng' => [
            'required' => "قيمة الـ latitude مطلوبة",
            'numeric' => "صيغة latitude غير صالحة، أدخل رقم",
        ],
        'plan_id' => [
            'required' => "خطة الإشتراك مطلوبة",
        ],
        'company' => [
            'required' => "نوع السيارة مطلوب",
            'string' => "صيغة نوع السيارة غير صالحة، أدخل نص",
        ],
        'class_model' => [
            'required' => " طراز السيارة مطلوب",
            'string' => "صيغة طراز السيارة غير صالحة، أدخل نص",
        ],
        'number' => [
            'required' => "رقم لوحة السيارة مطلوب مطلوب",
            'string' => "صيغة رقم لوحة السيارة غير صالحة، أدخل أرقام و أحرف",
        ],
        'color' => [
            'required' => " لون السيارة مطلوب",
            'string' => "صيغة لون السيارة غير صالحة، أدخل نص",
        ],
        'driver_name' => [
            'required' => "اسم السائق مطلوبة",
            'string' => "صيغة اسم السائق غير صالحة، أدخل نص",
            'regex' => "صيغة الإسم غير صالحة، أدخل نص",
        ],
        'driver_phone' => [
            'required' => "رقم جوال السائق مطلوب",
            'numeric' => "صيغة رقم جوال السائق غير صالحة، أدخل رقم",
            'regex' => " خلل في رقم جوال سائق السيارة ، الرجاء إدخال رقم جوال سعودي صحيح",
        ],
        'code' => [
            'required' => "رمز التحقق مطلوب",
            'numeric' => "صيغة رمز التحقق غير صالحة، أدخل رقم",
        ],
        'white_washing' => [
            'required' => "سعر غسيل الملابس البيضاء مطلوب",
            'numeric' => "صيغة سعر غسيل الملابس البيضاء غير صالحة، أدخل رقم",
        ],
        'colored_washing' => [
            'required' => "سعر غسيل الملابس الملونة مطلوب",
            'numeric' => "صيغة سعر غسيل الملابس الملون غير صالحة، أدخل رقم",
        ],
        'ironing' => [
            'required' => "سعر الكوي مطلوب",
            'numeric' => "صيغة سعر الكوي غير صالحة، أدخل رقم",
        ],
        'washing' => [
            'required' => "سعر الغسيل مطلوب",
            'numeric' => "صيغة سعر الغسيل غير صالحة، أدخل رقم",
        ],
        'rate' => [
            'required' => "قيمة التقييم مطلوبة",
            'regex' => "خطأ في قيمة التقييم، يجب أن تكون قيمة التقييم من 1 إلى 5",
            'numeric' => "صيغة قيمة التقييم غير صالحة، أدخل رقم",
        ],
        'status' => [
            'required' => "قيمة الحالة مطلوبة",
            'regex' => "خطأ في قيمة الحالة، يجب أن تكون قيمة الحالة من -1إلى 1",
            'numeric' => "صيغة قيمة الحالة غير صالحة، أدخل رقم",
        ],
        'isActive' => [
            'required' => "قيمة الحالة مطلوبة",
            'boolean' => "صيغة قيمة الحالة غير صالحة، أدخل قيمة منطقية 0 أو 1",
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap attribute place-holders
    | with something more reader friendly such as E-Mail Address instead
    | of "email". This simply helps us make messages a little cleaner.
    |
    */

    'attributes' => [],

];
