@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
@endsection
@section('scripts')
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/clothService')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
@endsection
@section('active_title')
    {{$title}}
@endsection
@section('count')
    {{$items->count()}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('insertForm')
    <form method="POST" action="{{url('admin/clothService')}}">
        {{csrf_field()}}
        <div class="row">
            <div class="col-md-3">
                <br>
                <input name="name" value="{{ old('name') }}" class="form-control" type="text"
                       placeholder="اسم القطعة" required>
            </div>
        </div>
        <div class="row">
            <div class="col-md-1">
                <button class="btn btn-primary" type="submit" id="form-submit">إنشاء</button>
            </div>

        </div>
    </form>
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الإسم</th>
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($items as $item)
            <tr id="item-{{$item->id}}">
                <td>{{$page_loop}}</td>
                <td>{{$item->name}}</td>
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td>
                    <a class="btn btn-success" href="{{url('admin/clothService/'.$item->id)}}"><span
                                class="fa fa-edit"></span>
                    </a>
                        <a class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                    class="fa fa-remove"></span>
                        </a>
                </td>
            </tr>
            <?php $page_loop++; ?>
        @endforeach
        </tbody>
    </table>
    <div class="pagination">
        {{$items->links()}}
    </div>
@endsection