@extends('layouts.app')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/order.css') }}" rel="stylesheet">
@endsection
@section('scripts')
@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه{{$item->created_at}}</span>
                    <span> آخر تحديث {{$item->updated_at}}</span></div>
                {{--
                                <div class="pull-right"><span class="badge badge-warning">{{$item->laundry->profile->name}}  خطة المغسلة: | المغسلة:{{$item->subscriptionPlan->name}}  </span>
                --}}
                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="{{url('home')}}">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a href="{{url('admin/laundries')}}">المغاسل </a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning">{{$title}} : {{$item->profile->name}} | {{$item->phone}} </span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-8">
                            <h4><span class="fa fa-shopping-basket"></span> خدمات الملابس
 {{--
                                <small class="pull-left" id="price">55 ريال</small>
--}}
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>القطعة</th>
                                    <th>غسيل الأبيض
                                        <small>( ريال )</small>
                                    </th>
                                    <th>غسيل الملون
                                        <small>( ريال )</small>
                                    </th>
                                    <th>الكوي
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($item->laundryClothesPrices as $laundryClothPrice)
                                    <tr id="item-{{$laundryClothPrice->id}}">
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$laundryClothPrice->name}}</td>
                                        <td>{{$laundryClothPrice->white_washing}}</td>
                                        <td>{{$laundryClothPrice->colored_washing}}</td>
                                        <td>{{$laundryClothPrice->ironing}}</td>
                                        <td>{{$controller->time_ago($laundryClothPrice->created_at)}}
                                            <small>{{$laundryClothPrice->created_at}}</small>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            <hr>
                            <h4><span class="fa fa-tasks"></span> الخدمات الإضافية
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الخدمة</th>
                                    <th>الغسيل
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($item->laundryAdditionalPrices as $laundryAdditionalService)
                                    <tr id="item-{{$laundryAdditionalService->id}}">
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$laundryAdditionalService->name}}</td>
                                        <td>{{$laundryAdditionalService->washing}}</td>
                                        <td>{{$controller->time_ago($laundryAdditionalService->created_at)}}
                                            <small>{{$laundryAdditionalService->created_at}}</small>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>{{--insert new record form--}}
    </div>
@endsection