@extends('layouts.app')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/order.css') }}" rel="stylesheet">
@endsection
@section('scripts')

@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه{{$item->created_at}}</span>
                    <span> آخر تحديث {{$item->updated_at}}</span></div>
                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="{{url('home')}}">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a href="{{url('admin/orders')}}">الطلبات </a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning">{{$title}} </span>
                            <span> الحالة: </span>
                            <span>
                                @php
                                    switch ($item->status) {
                                    case -1:
                                        echo "<span class='fa fa-send-o'> جديد </span>";
                                        break;
                                    case 1:
                                        echo "<span class='fa fa-thumbs-up'> تم </span>";
                                        break;
                                    case 0:
                                        echo "<span class='fa fa-spinner'> جاري التنفيذ... </span>";
                                    }
                                @endphp
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-11">
                            <h5><b><span class="fa fa-user"></span> المستخدم </b> <a
                                        href="{{url('admin/user/'.$item->customer->id)}}">{{$item->customer->profile->name}}
                                    | {{$item->customer->phone}}</a> &nbsp; &nbsp; <b><span
                                            class="fa fa-eercast"></span> المغسلة </b> <a
                                        href="{{url('admin/user/'.$item->customer->id)}}">{{$item->laundry->profile->name}}
                                    | {{$item->laundry->phone}}</a></h5>
                            <hr>
                            <h4> التكلفة الإجمالية <b id="cost">{{$item->cost}} ريال</b></h4>

                            <hr>
                            <h4><span class="fa fa-shopping-basket"></span> الملابس
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>القطعة</th>
                                    <th>الخدمة</th>
                                    <th>عدد الأبيض</th>
                                    <th>عدد الملون</th>

                                    <th>التكلفة الإجمالية
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($item->orderClothes as $orderCloth)
                                    <tr id="item-{{$item->id}}">
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$orderCloth->laundryClothPrice->name}}</td>
                                        <td>
                                            @php
                                                //0 is washing, 1 is ironing, 2 both
                                                    switch ($orderCloth->washingOrIroning) {
                                                    case 0:
                                                        echo "<span class=''> غسيل </span>";
                                                        break;
                                                    case 1:
                                                        echo "<span class=''> كوي </span>";
                                                        break;
                                                    case 2:
                                                        echo "<span class=''> غسيل و كوي </span>";
                                                    }
                                            @endphp
                                        </td>
                                       {{-- <td>
                                            @php
                                                switch ($orderCloth->is_colored) {
                                                case 0:
                                                    echo "<span class=''> أبيض </span>";
                                                    break;
                                                case 1:
                                                    echo "<span class=''> ملون </span>";
                                                }
                                            @endphp
                                        </td>--}}
                                        <td>{{$orderCloth->white_count}}</td>
                                        <td>{{$orderCloth->colored_count}}</td>

                                        <td>
                                            {{($controller->getClothWhiteCost($orderCloth->laundry_cloth_price_id, $orderCloth->washingOrIroning, 0) * $orderCloth->white_count) + ($controller->getClothColoredCost($orderCloth->laundry_cloth_price_id, $orderCloth->washingOrIroning, 0) * $orderCloth->colored_count)}}
                                        </td>
                                        <td>{{$controller->time_ago($orderCloth->created_at)}}
                                            <small>{{$orderCloth->created_at}}</small>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            <hr>
                            <h4><span class="fa fa-tasks"></span> الخدمات الإضافية
                                <small>(غسيل)</small>
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الخدمة</th>
                                    <th>التكلفة للواحدة
                                        <small>( ريال )</small>
                                    </th>
                                    <th>العدد</th>
                                    <th>التكلفة الإجمالية
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($item->orderAdditionalServices as $orderAdditionalService)
                                    <tr id="item-{{$item->id}}">
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$orderAdditionalService->laundryAdditionalPrice->name}}</td>
                                        <td>
                                            {{$orderAdditionalService->laundryAdditionalPrice->washing}}
                                        </td>
                                        <td>{{$orderAdditionalService->count}}</td>
                                        <td>
                                            {{$orderAdditionalService->laundryAdditionalPrice->washing * $orderAdditionalService->count}}
                                        </td>
                                        <td>{{$controller->time_ago($orderAdditionalService->created_at)}}
                                            <small>{{$orderAdditionalService->created_at}}</small>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            <hr>
                            <h4>موقع الطلب على الخريطة</h4>
                            <div class="row">
                                <div class="col-md-12" id="map-marker-div">
                                    <iframe name="map-marker"
                                            src="{{url('admin/order/map/'.$item->lat.'/'.$item->lng)}}"
                                            height="500px" width="90%"
                                            scrolling="no" style="border:0" frameborder="0" allowfullscreen></iframe>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>{{--insert new record form--}}
    </div>
@endsection
