@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/subscriptions.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/order')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
@endsection
@section('active_title')
    {{$title}}
@endsection
@section('count')
    {{$items->count()}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الزبون</th>
            <th>المغسلة</th>
            <th>السعر</th>
            <th>الحالة</th>
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($items as $item)
            <tr id="item-{{$item->id}}">
                <td>{{$page_loop}}</td>
                <td><a href="{{url('admin/user/'.$item->customer->id)}}">{{$item->customer->profile->name}} | {{$item->customer->phone}}</a></td>
                <td><a href="{{url('admin/user/'.$item->laundry->id)}}">{{$item->laundry->profile->name}} | {{$item->laundry->phone}}</a></td>
                <td>{{$item->cost}}</td>
                <td>
                    @php
                        switch ($item->status) {
                        case -1:
                            echo "<span class='fa fa-send-o'> جديد </span>";
                            break;
                        case 1:
                            echo "<span class='fa fa-thumbs-up'> تم </span>";
                            break;
                        case 0:
                            echo "<span class='fa fa-spinner'> جاري التنفيذ... </span>";
                        }
                    @endphp
                </td>
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td><a href="{{url('admin/order/'.$item->id)}}" class="btn btn-success">
                        <span class="fa fa-eye"></span></a>
                    <button class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                class="fa fa-remove"></span>
                    </button>
                </td>
            </tr>
            <?php $page_loop++; ?>

        @endforeach
        </tbody>
    </table>
    <div class="pagination">
        {{$items->links()}}
    </div>
@endsection
