@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/subscriptionOrders.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/subscriptionOrder')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
@endsection
@section('active_title')
    {{$title}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>المغسلة</th>
            <th>خطة الإشتراك</th>
            {{--
                        <th>ملاحظات الإدارة</th>
            --}}
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
            <tr id="item-{{$item->id}}">
                <td>#</td>
                <td>
                    <a href="{{url('admin/user/'.$item->laundry->id)}}">{{$item->laundry->profile->name | $item->laundry->phone}}</a>
                </td>
                <td>
                    <a href="{{url('admin/subscriptionPlan/'.$item->subscriptionPlan->id)}}">{{$item->subscriptionPlan->duration}}
                        يوم | {{$item->subscriptionPlan->cost}} ريال </a></td>
                {{--
                                <td>@if($item->notes != null) {{$item->notes}} @else {{"(لا يوجد)"}} @endif</td>
                --}}
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td>
                    @if($item->is_accepted != 1 )
                        <a title="قبول الطلب" rel="tooltip"
                           href="{{url('admin/subscriptionOrder/'.$item->id.'/accept/'.$item->subscriptionPlan->duration)}}"
                           class="btn btn-success">
                            <span style="font-size: 120%" class="fa fa-check-circle-o"> قبول</span></a>
                    @endif
                    @if($item->is_accepted == -1)
                        <a title="رفض الطلب" rel="tooltip"
                           href="{{url('admin/subscriptionOrder/'.$item->id.'/reject')}}"
                           class="btn btn-warning">
                            <span style="font-size: 120%" class="fa fa-times-circle-o"> رفض</span></a>
                    @endif
                    <a class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                class="fa fa-remove"> حذف</span>
                    </a>
                </td>
            </tr>

        </tbody>
    </table>
@endsection
