@extends('layouts.app')
@section('title')
    {{'بيانات ' .$item->name}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/subscriptionPlans.css') }}" rel="stylesheet">
@endsection
@section('scripts')

@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه{{$item->created_at}}</span>
                    <span> آخر تحديث {{$item->updated_at}}</span></div>
                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="{{url('home')}}">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a href="{{url('admin/subscriptionPlans')}}">خطط الإشتراك</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning">{{$item->name}}</span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-3">
                            <form method="POST" action="{{url('admin/subscriptionPlan/'.$item->id.'/update')}}">
                                {{csrf_field()}}
                                <h4>الإسم </h4>
                                <input name="name" value="{{ $item->name}}" class="form-control"
                                       type="text"
                                       placeholder="الاسم" required>
                                <h4>التكلفة(ريال) </h4>
                                <input name="cost" value="{{ $item->cost}}" class="form-control"
                                       type="number"
                                       placeholder="التكلفة" required>
                                <h4>المدة(يوم) </h4>
                                <input name="duration" value="{{ $item->duration}}" class="form-control"
                                       type="number"
                                       placeholder="المدة" required>
                                <h4>التفاصيل </h4>
                                <textarea  id="details" name="details" class="form-control"
                                       type="text"
                                          placeholder="التفاصيل" required>{{ $item->details}}</textarea>
                                <button class="btn btn-primary" type="submit" id="form-submit">تحديث البيانات <span
                                            class="fa fa-refresh"></span></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>{{--insert new record form--}}
    </div>
@endsection
