@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/subscriptionPlans.css') }}" rel="stylesheet">
@endsection
@section('scripts')
@endsection
@section('active_title')
    {{$title}}
@endsection
@section('count')
    {{$items->count()}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('insertForm')
    <form method="POST" action="{{url('admin/subscriptionPlan')}}">
        {{csrf_field()}}
        <div class="row">
            <div class="col-md-3">
                <br>
                <input name="name" value="{{ old('name') }}" class="form-control" type="text"
                       placeholder="اسم الخطة" required>
                <input name="duration" value="{{ old('duration') }}" class="form-control" type="number"
                       placeholder="مدة الخطة (يوم) (مثلاً: 10)" required>
                <input name="cost" value="{{ old('cost') }}" class="form-control" type="number"
                       placeholder="التكلفة (ريال) (مثلاً: 20 )" required>
                <textarea id="details" placeholder="توضيح مختصر للخطة" name="details"
                          type="text" class="form-control" value="{{old('details')}}"
                          required></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-md-1">
                <button class="btn btn-primary" type="submit" id="form-submit">إنشاء</button>
            </div>

        </div>
    </form>
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الإسم</th>
            <th>المدة
                <small>(يوم)</small>
            </th>
            <th>التكلفة
                <small>(ريال)</small>
            </th>
            <th>ملاحظات</th>
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($items as $item)
            <tr id="item-{{$item->id}}">
                <td>{{$page_loop}}</td>
                <td>{{$item->name}}</td>
                <td>{{$item->duration}}</td>
                <td>{{$item->cost}}</td>
                <td id="plan-details">{{$item->details}}</td>
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td><a href="{{url('admin/subscriptionPlan/'.$item->id)}}" class="btn btn-success">
                        <span class="fa fa-edit"></span></a>
                    <button class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                class="fa fa-remove"></span>
                    </button>
                </td>
            </tr>
            <?php $page_loop++; ?>

        @endforeach
        </tbody>
    </table>
    <div class="pagination">
        {{$items->links()}}
    </div>
@endsection
