@extends('layouts.app')
@section('title')
    {{'تعديل الإشتراك: ' .$item->laundry->profile->name}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/subscriptions.css') }}" rel="stylesheet">
    <link href="{{ asset('css/admin/subscriptionUpdate.css') }}" rel="stylesheet">
@endsection
@section('scripts')

@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه{{$item->created_at}}</span>
                    <span> آخر تحديث {{$item->updated_at}}</span></div>
{{--
                <div class="pull-right"><span class="badge badge-warning">{{$item->laundry->profile->name}}  خطة المغسلة: | المغسلة:{{$item->subscriptionPlan->name}}  </span>
--}}

                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="{{url('home')}}">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a href="{{url('admin/subscriptions')}}">إشتراكات المغاسل</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning">المغسلة: {{$item->laundry->profile->name}} | خطة الإشتراك: {{$item->subscriptionPlan->name}}  </span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-6">
                            <h5>انتهاء الإشتراك : </h5>
                            <p><b>الأيام المتبقية :</b> {{$controller->remained_days($item->expired_at)}}</p>
                            <p><b>تاريخ نهاية الإشتراك :</b> {{$item->expired_at}}</p>
                            <hr>
                            <form method="POST" action="{{url('admin/subscription/'.$item->id.'/updatePlan')}}">
                                {{csrf_field()}}
                                <label for="plan">خطة الإشتراك</label>
                                <select name="plan" id="plan" class="selectpicker">
                                    @foreach($plans as $plan)
                                        <option @if($item->subscriptionPlan->id == $plan->id) selected @endif value="{{$plan->id}}">{{$plan->name}} | {{$plan->duration}}
                                            يوم | {{$plan->cost}}
                                            ريال
                                        </option>
                                    @endforeach
                                </select>
                                <button class="btn btn-primary" type="submit" id="form-submit"><span
                                            class="fa fa-plus"></span> إضافة  </button>
                            </form>
                            <hr>
                            <form method="POST" action="{{url('admin/subscription/'.$item->id.'/updateDays')}}">
                                {{csrf_field()}}
                                <label for="plan">إضافة/خصم أيام</label>
                                <input name="days" value="{{ old('days')}}" class="form-control"
                                       type="number"
                                       placeholder=" عدد الأيام: مثلاً 10 ، للخصم مثلا: -3" required>
                                <button class="btn btn-primary" type="submit" id="form-submit"><span
                                            class="fa fa-plus"></span> تنفيذ  </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>{{--insert new record form--}}
    </div>
@endsection
