    @extends('layouts.master')
    @section('title')
        {{$title}}
    @endsection
    @section('head')
        <link href="{{ asset('css/admin/subscriptions.css') }}" rel="stylesheet">
    @endsection
    @section('scripts')
        <script>
            function deleteItem(id) {
                var token = $('meta[name="csrf-token"]').attr('content');
                var result = confirm("هل أنت متأكد من عملية الحذف؟");
                if (result) {
                    $.ajax({
                        url: '{{url('admin/subscription')}}',
                        type: 'delete',
                        data: {'id': id, '_token': token},
                        success: function (response) {
                            $('#item-' + id).remove();
                        },
                        error: function () {
                            alert('لم تتم العملية ، حدث خطأ غير متوقع');
                        }
                    }); // end ajax call
                }
            }
        </script>
    @endsection
    @section('active_title')
        {{$title}}
        <span  id="search-orders">
            <a class="btn btn-success"
               href="{{url('admin/subscriptions')}}">&nbsp;&nbsp;<span
                        class="fa fa-arrow-left">  الإشتراكات الفعالة </span></a>&nbsp;<a
                    class="btn btn-danger" href="{{url('admin/subscriptions/expired')}}"> &nbsp;
                &nbsp;<span class="fa fa-arrow-left"> الإشتراكات المنتهية </span></a>
        </span>
    @endsection
    @section('count')
        {{$items->count()}}
    @endsection
    @section('table-title')
        لوحة {{$title}}
    @endsection
    @section('table')
        <table class="table table-hover table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>المغسلة</th>
                <th>الخطة</th>
                <th>تاريخ الإنتهاء</th>
                <th>تاريخ الإنشاء</th>
                <th>خيارات</th>
            </tr>
            </thead>
            <tbody>
            <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
            @foreach($items as $item)
                <tr id="item-{{$item->id}}">
                    <td>{{$page_loop}}</td>
                    <td>
                        <a href="{{url('admin/user/'.$item->laundry->id)}}">@php echo $item->laundry->profile->name; @endphp | @php echo $item->laundry->phone; @endphp</a>
                    </td>
                    <td>
                        <a href="{{url('admin/subscriptionPlan/'.$item->subscriptionPlan->id)}}">{{$item->subscriptionPlan->duration}}
                            يوم | {{$item->subscriptionPlan->cost}} ريال </a></td>
    {{--
                    <td>{{$item->expired_at}}</td>
    --}}
                    <td>{{$controller->remained_days($item->expired_at)}}
                        <small>{{$item->expired_at}}</small>
                    </td>
                    <td>{{$controller->time_ago($item->created_at)}}
                        <small>{{$item->created_at}}</small>
                    </td>
                    <td><a href="{{url('admin/subscription/'.$item->id.'/update')}}" class="btn btn-success">
                            <span class="fa fa-edit"></span></a>
                        <button class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                    class="fa fa-remove"></span>
                        </button>
                    </td>
                </tr>
                <?php $page_loop++; ?>

            @endforeach
            </tbody>
        </table>
        <div class="pagination">
            {{$items->links()}}
        </div>
    @endsection
