@extends('layouts.app')
@section('title')
    @if(\Illuminate\Support\Facades\Auth::user()->id != $user->id)
        {{'بيانات ' .$user->profile->name}}
    @else
        الملف الشخصي
    @endif
@endsection
@section('head')
    <link href="{{ asset('css/admin/user.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        $(document).ready(function () {
            var panels = $('.user-infos');
            var panelsButton = $('.dropdown-user');
            panels.hide();

            //Click dropdown
            panelsButton.click(function () {
                //get data-for attribute
                var dataFor = $(this).attr('data-for');
                var idFor = $(dataFor);

                //current button
                var currentButton = $(this);
                idFor.slideToggle(400, function () {
                    //Completed slidetoggle
                    if (idFor.is(':visible')) {
                        currentButton.html('<i class="icon-chevron-up text-muted"></i>');
                    }
                    else {
                        currentButton.html('<i class="icon-chevron-down text-muted"></i>');
                    }
                })
            });


            $('[data-toggle="tooltip"]').tooltip();

            $('button').click(function (e) {
                e.preventDefault();
                alert("This is a demo.\n :-)");
            });
        });
    </script>
    {{-- <script>
         var selector = $('#role').val();
         var laundry_div = $('#laundry-div');

         if (selector === "2") {
             laundry_div.show(1000);
             /*
                         $("#has_family").prop('required', true);
             */
         } else {
             laundry_div.hide(1000);
         }
     </script>
     <script>
         $('#role').on('change', function () {
             var role = $(this).val();
             var laundry_div = $('#laundry-div');
             if (role === "2") {
                 laundry_div.show(1000);
                 /*
                                 $("#has_family").prop('required', true);
                 */
             } else {
                 laundry_div.hide(1000);
             }
         });
     </script>--}}
    <script type="text/javascript"
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD08gZlL4TtCxWjUgrq9UsDzKCeqXJzo20&language=ar"></script>
    <script>
        $('input:button[name=save]').click(function () {
            var latitude = $('iframe[name=map-marker]').contents().find('#map-latitude').val();
            var longitude = $('iframe[name=map-marker]').contents().find('#map-longitude').val();


            /* $('#latitude').val(parseFloat(latitude).toFixed(6));
             $('#longitude').val(parseFloat(longitude).toFixed(6));*/

            $('#lat').val(latitude);
            $('#long').val(longitude);

            /*
                        $('#longitude').val(longitude.toFixed(6));
            */
        });
    </script>
@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه{{$user->created_at}}</span>
                    <span> آخر تحديث {{$user->updated_at}}</span></div>
                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="{{url('home')}}">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a
                                    @if($user->role == 1)
                                    href="{{url('admin/admins')}}">المدراء
                                @elseif($user->role == 2)
                                    href="{{url('admin/laundries')}}">المغاسل
                                @else
                                    href="{{url('admin/customers')}}">العملاء
                                @endif
                            </a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning">@if(\Illuminate\Support\Facades\Auth::user()->id != $user->id)
                                    {{$user->profile->name}}
                                @else
                                    الملف الشخصي
                                @endif</span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-3 basic">
                            {{--
                                                        <form method="post" action="{{url('admin/user/'.$user->id.'/UpdatePhoto')}}"
                                                              enctype="multipart/form-data">
                                                            {{csrf_field()}}
                                                            <h3>الصورة الشخصية</h3>
                                                            @if($user->profile->photo != null)
                                                                <img src="{{asset('media/'.$user->id.'/'.$user->profile->photo)}}"
                                                                     class="img-responsive img-rounded">
                                                                <h5>تغيير الصورة الشخصية</h5>

                                                            @else
                                                                <img src="{{asset('img/site/login-brand.png')}}"
                                                                     class="img-responsive img-rounded">
                                                                لا يوجد صورة
                                                                <h5>إضافة صورة شخصية</h5>

                                                            @endif
                                                            <input id="photo" placeholder="الصورة الشخصية" accept="image/*" name="photo" type="file"
                                                                   class="form-control" required>
                                                            <br>
                                                            <br>
                                                            <button hidden type="submit" class="form-control btn btn-primary"><span
                                                                        class="fa fa-refresh"></span> تحديث الصورة
                                                            </button>
                                                        </form>
                            --}}
                            <form method="POST" action="{{url('admin/user/'.$user->id.'/updateInfo')}}">
                                {{csrf_field()}}
                                <h4>البيانات الأساسية</h4>
                                <input name="name" value="{{ $user->profile->name}}" class="form-control"
                                       type="text"
                                       placeholder="الاسم" required>
                                <input name="phone" value="{{ $user->phone }}" class="form-control" type="text"
                                       placeholder="رقم الجوال" required><a href="tel:{{$user->phone}}"><span
                                            class="fa fa-phone">إجراء اتصال</span></a>
                                <input name="email" value="{{ $user->profile->email }}" class="form-control"
                                       type="email" placeholder="البريد الإلكتروني" required>
                                <input name="address" value="{{ $user->profile->address }}" class="form-control"
                                       type="text" placeholder="العنوان" required>
                                <button class="btn btn-primary" type="submit" id="form-submit"><span
                                            class="fa fa-refresh"></span> تحديث البيانات
                                </button>
                            </form>
                            <hr>
                            <form method="POST" action="{{url('admin/user/'.$user->id.'/updatePassword')}}">
                                {{csrf_field()}}
                                <h4>تغيير كلمة المرور</h4>
                                <input name="password" value="" class="form-control"
                                       type="password" placeholder="كلمة المرور" required>
                                <input name="password_confirmation" value=""
                                       class="form-control"
                                       type="password" placeholder="تأكيد كلمة المرور" required>
                                <button class="btn btn-primary" type="submit" id="form-submit"><span
                                            class="fa fa-refresh"></span> تحديث كلمة المرور
                                </button>
                            </form>
                            <hr>
                            <div id="laundry-div">
                                {{--Start select subscription plan for laundry--}}
                                @if($user->role == 2)

                                    {{--<h4>تاريخ انتهاء الأشتراك</h4>
                                    <p>{{$user->subscription->expired_at}}
                                        | {{$controller->time_ago($user->subscription->expired_at)}}</p>--}}
                                    <form method="POST" action="{{url('admin/user/'.$user->id.'/updateCar')}}">
                                        {{csrf_field()}}
                                        <br>
                                        <br>
                                        <br>
                                        <br>
                                        <br>
                                        <br>
                                        <h4>بيانات السيارة</h4>
                                        <input name="company" value="{{$user->car->company}}" class="form-control"
                                               type="text"
                                               placeholder="نوع السيارة" required>
                                        <input name="class_model" value="{{$user->car->class_model}}"
                                               class="form-control"
                                               type="text"
                                               placeholder="الطراز" required>
                                        <input name="number" value="{{$user->car->number}}" class="form-control"
                                               type="text"
                                               placeholder="رقم اللوحة" required>
                                        <input name="color" value="{{$user->car->color}}" class="form-control"
                                               type="text"
                                               placeholder="اللون" required>
                                        <label>بيانات سائق السيارة</label>
                                        <input name="driver_name" value="{{$user->car->driver_name}}"
                                               class="form-control"
                                               type="text"
                                               placeholder="الإسم" required>
                                        <input name="driver_phone" value="{{$user->car->driver_phone}}"
                                               class="form-control"
                                               type="text"
                                               placeholder="رقم الجوال" required>
                                        <button class="btn btn-primary" type="submit" id="form-submit"><span
                                                    class="fa fa-refresh"></span> تحديث بيانات السيارة
                                        </button>
                                    </form>
                                @endif

                                {{-- <select name="plan" id="plan" class="selectpicker">
                                     @foreach($plans as $plan)
                                         <option value="{{$plan->id}}">{{$plan->name}} | {{$plan->duration}}
                                             يوم | {{$plan->cost}}
                                             ريال
                                         </option>
                                     @endforeach
                                 </select>--}}
                                {{--End select subscription plan for laundry--}}


                            </div>
                        </div>
                        <div class="col-md-7 map">
                            <form method="POST" action="{{url('admin/user/'.$user->id.'/updateLocation')}}">
                                {{csrf_field()}}
                                <h4>موقع المستخدم على الخريطة</h4>
                                <br>
                                <br>
                                <div class="row col-md-12" id="map-marker-div">
                                    <h4><span class="fa fa-info-circle"></span>
                                        قم بتحريك (العلامة
                                        الحمراء)، ثم اضغط على زر
                                        (إعادة تعيين)
                                        بالأسفل </h4>
                                    <br>
                                    <iframe name="map-marker"
                                            src="{{url('admin/user/map/'.$user->location->lat.'/'.$user->location->lng)}}"
                                            height="500px" width="90%"
                                            scrolling="no" style="border:0" frameborder="0" allowfullscreen></iframe>
                                </div>
                                <div class="row">

                                    <input id="select-points" class="btn btn-warning pull-right" type="button"
                                           name="save"
                                           value="إعادة تعيين من الخريطة">
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <label for="lat">Latitude</label>
                                        <input id="lat" placeholder="الموقع على الخريطة Latitude"
                                               name="lat"
                                               type="text" class="form-control" value="{{$user->location->lat}}"
                                               required/>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <label for="lng">Longitude</label>
                                        <input id="long" placeholder="الموقع على الخريطة longitude"
                                               name="lng" type="text" class="form-control"
                                               value="{{$user->location->lng}}" required>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <button class="btn btn-primary" type="submit" id="form-submit">تحديث الموقع
                                            <span
                                                    class="fa fa-refresh"></span></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>{{--insert new record form--}}
    </div>
@endsection
