@extends('layouts.master')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/users.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '{{url('admin/user')}}',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
@endsection
@section('active_title')
    <a href="{{url('admin/users')}}">المستخدمين</a> <span class="divider">/</span>    {{$title}}
@endsection
@section('count')
    {{$items->count()}}
@endsection
@section('table-title')
    لوحة {{$title}}
@endsection
@section('table')
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الإسم</th>
            <th>رقم الجوال</th>
            {{--
                        <th>البريد الإلكتروني</th>
            --}}
            @if($users_role == 2)
                <th>التقييم</th>
            @endif
            {{--@if($users_role == 2)
                <th>تاريخ انتهاء الأشتراك</th>
            @endif--}}
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        @foreach($items as $item)
            <tr id="item-{{$item->id}}">
                <td>{{$page_loop}}</td>
                <td><a href="{{url('admin/user/'.$item->id)}}">@if($item->profile->name != null){{$item->profile->name}} @else لا يوجد @endif</a>
                </td>
                <td><a title="اضغط للإتصال" href="tel:{{$item->phone}}">{{$item->phone}} <span class="fa fa-phone"></span></a>
                    @if($item->verification->is_verified == 1)
                        <span
                                class="fa fa-check-circle pull-left">  موثّق</span>
                    @else
                        @if($item->role == 2) <a id="order"
                                                 href="{{url('admin/subscriptionOrder/laundry/'.$item->id)}}"><span
                                    class="fa fa-circle-o pull-left"> غير موثّق</span></a>
                        @else <span class="fa fa-circle-o pull-left"> غير موثّق</span>
                        @endif
                    @endif
                </td>
                {{--
                                <td>{{$item->profile->email}}</td>
                --}}
                @if($item->role == 2)
                    <td>
                        @if($controller->getRate($item->id) != null)
                            @for ($i = $controller->getRate($item->id); $i >0; $i--)
                                <span class="fa fa-star"></span>
                            @endfor
                            {{--@while($value = $controller->getRate($item->id) != 0)
                                <span class="fa fa-star"></span>
                                {{$value--}}{{--
                            @endwhile--}}
                        @else <span>لم يتم تقييمه</span> @endif
                    </td>
                @endif
                {{-- @if($users_role == 2)
     <td>{{$item->subscription->expired_at}} <a href="#" class="btn btn-warning"><span class="fa fa-dollar"></span></a></td>
 @endif--}}
                <td>{{$controller->time_ago($item->created_at)}}
                    <small>{{$item->created_at}}</small>
                </td>
                <td>
                    @if($item->role == 2 && $item->verification->is_verified == 1)
                        <a title="عرض الخدمات" class="btn btn-success" href="{{url('admin/laundry/'.$item->id.'/services')}}"><span
                                    class="fa fa-tasks"></span>
                        </a>
                        <a title="عرض الإشتراك" class="btn btn-success" href="{{url('admin/subscription/'.$item->subscription->id)}}"><span
                                    class="fa fa-dollar "></span>
                        </a>
                    @endif
                    @if($item->role == 2 && $item->verification->is_verified == 0)
                        <a title="غير موثق" class="btn btn-default" disabled href="#"><span
                                    class="fa fa-dollar "></span>
                        </a>
                        <a title="غير موثق" class="btn btn-default" disabled href="#"><span
                                    class="fa fa-dollar "></span>
                        </a>
                    @endif
                    <a title="تعديل" class="btn btn-success" href="{{url('admin/user/'.$item->id)}}"><span
                                class="fa fa-edit"></span>
                    </a>
                    @if($item->id != Auth::user()->id)
                        <a title="حذف" class="btn btn-danger" onclick="deleteItem({{$item->id}})"><span
                                    class="fa fa-remove"></span>
                        </a>@else
                        <small title="لا يمكنك حذف نفسك :(" class="btn disabled" onclick="alert('لا يمكنك حذف نفسك !!')"
                               style="cursor: no-drop"><span
                                    class="fa fa-remove"></span>
                        </small> @endif
                </td>
            </tr>
            <?php $page_loop++; ?>
        @endforeach
        </tbody>
    </table>
    <div class="pagination">
        {{$items->links()}}
    </div>
@endsection
