@extends('layouts.app')
@section('title')
    {{$title}}
@endsection
@section('head')
    <link href="{{ asset('css/admin/usersList.css') }}" rel="stylesheet">
@endsection
@section('scripts')
    <script>
        $(document).ready(function () {
            var panels = $('.user-infos');
            var panelsButton = $('.dropdown-user');
            panels.hide();

            //Click dropdown
            panelsButton.click(function () {
                //get data-for attribute
                var dataFor = $(this).attr('data-for');
                var idFor = $(dataFor);

                //current button
                var currentButton = $(this);
                idFor.slideToggle(400, function () {
                    //Completed slidetoggle
                    if (idFor.is(':visible')) {
                        currentButton.html('<i class="icon-chevron-up text-muted"></i>');
                    }
                    else {
                        currentButton.html('<i class="icon-chevron-down text-muted"></i>');
                    }
                })
            });


            $('[data-toggle="tooltip"]').tooltip();

            $('button').click(function (e) {
                e.preventDefault();
                alert("This is a demo.\n :-)");
            });
        });
    </script>
    <script>
        var selector = $('#role').val();
        var laundry_div = $('#laundry-div');

        if (selector === "2") {
            laundry_div.show(700);
            /*
                        $("#has_family").prop('required', true);
            */
        } else {
            laundry_div.hide(700);
        }
    </script>
    <script>
        $('#role').on('change', function () {
            var role = $(this).val();
            var laundry_div = $('#laundry-div');
            if (role === "2") {
                laundry_div.show(700);
                /*
                                $("#has_family").prop('required', true);
                */
            } else {
                laundry_div.hide(700);
            }
        });
    </script>
    <script>
        function showMap() {
            $('#map-marker-div').toggle(500);
            $('#select-points').toggle(500);
        }
    </script>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js">
    </script>
    <script type="text/javascript"
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD08gZlL4TtCxWjUgrq9UsDzKCeqXJzo20&language=ar"></script>
    <script>
        $('input:button[name=save]').click(function () {
            var latitude = $('iframe[name=map-marker]').contents().find('#map-latitude').val();
            var longitude = $('iframe[name=map-marker]').contents().find('#map-longitude').val();


            /* $('#latitude').val(parseFloat(latitude).toFixed(6));
             $('#longitude').val(parseFloat(longitude).toFixed(6));*/

            $('#lat').val(latitude);
            $('#long').val(longitude);

            /*
                        $('#longitude').val(longitude.toFixed(6));
            */
        });
    </script>
@endsection
@section('content')
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }} </strong>
                </div>
            @endif
            @if ($errors->any())
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>{{--messages--}}
        <div class="row-fluid" id="show-insert-button-div">
            <button class="btn btn-default" id="show-insert-form"><span class="fa fa-plus-circle"
                                                                        style="font-size: 200%; color: orange;cursor:copy"> جديد</span>
            </button>
        </div>{{--show button--}}
        <div class="block" id="insert-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"></div>
                <div class="pull-right"><span class="badge badge-warning">نموذج الإضافة</span>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <form method="POST" action="{{url('admin/user')}}">
                        {{csrf_field()}}
                        <div class="row">
                            <div class="col-md-3">
                                <input name="name" value="{{ old('name') }}" class="form-control" type="text"
                                       placeholder="الاسم" required>
                                <input name="phone" value="{{ old('phone') }}" class="form-control" type="text"
                                       placeholder="رقم الجوال" required>
                                <input name="password" value="{{ old('password') }}" class="form-control"
                                       type="password" placeholder="كلمة المرور" required>
                                <input name="password_confirmation" value="{{ old('password_confirmation') }}"
                                       class="form-control"
                                       type="password" placeholder="تأكيد كلمة المرور" required>
                                <input name="email" value="{{ old('email') }}" class="form-control"
                                       type="email" placeholder="البريد الإلكتروني" required>
                                <input name="address" value="{{ old('address') }}" class="form-control"
                                       type="text" placeholder="العنوان" required>
                                <label for="role">الصلاحية</label>
                                <select name="role" class="selectpicker" id="role" required>
                                    <option value="1">مدير</option>
                                    <option value="2">مغسلة</option>
                                    <option value="3">عميل</option>
                                </select>
                                <div id="laundry-div">
                                    {{--Start select subscription plan for laundry--}}
                                    <label for="plan">خطة الإشتراك</label>
                                    <select name="plan" id="plan" class="selectpicker">
                                        @foreach($plans as $plan)
                                            <option value="{{$plan->id}}">{{$plan->name}} | {{$plan->duration}}
                                                يوم | {{$plan->cost}}
                                                ريال
                                            </option>
                                        @endforeach
                                    </select>
                                    {{--End select subscription plan for laundry--}}

                                    <label>بيانات السيارة</label>
                                    <input name="company" value="{{ old('company') }}" class="form-control" type="text"
                                           placeholder="نوع السيارة">
                                    <input name="class_model" value="{{ old('class_model') }}" class="form-control" type="text"
                                           placeholder="الطراز">
                                    <input name="number" value="{{ old('number') }}" class="form-control" type="text"
                                           placeholder="رقم اللوحة">
                                    <input name="color" value="{{ old('color') }}" class="form-control" type="text"
                                           placeholder="اللون">
                                    <label>بيانات سائق السيارة</label>
                                    <input name="driver_name" value="{{ old('driver_name') }}" class="form-control" type="text"
                                           placeholder="الإسم">
                                    <input name="driver_phone" value="{{ old('driver_phone') }}" class="form-control" type="text"
                                           placeholder="رقم الجوال">
                                </div>
                            </div>
                            <div class="col-md-8">
                                <a id="show-map-button" class="btn btn-danger" onclick="showMap()"> <span
                                            class="fa fa-map-marker"></span>
                                    الخريطة
                                </a>
                                <br>
                                <br>
                                <div class="col-md-12" id="map-marker-div">
                                    <h4><span class="fa fa-info-circle"></span>
                                              قم بتحريك (العلامة
                                        الحمراء)، ثم اضغط على زر
                                        (تعيين)
                                        بالأسفل </h4>
                                    <br>
                                    <iframe name="map-marker" src="{{url('admin\marker')}}" height="500px" width="90%"
                                            scrolling="no" style="border:0" frameborder="0" allowfullscreen></iframe>
                                </div>
                                <input id="select-points" class="btn btn-warning pull-right" type="button" name="save"
                                       value="تعيين"
                                       >
                                &nbsp;<input id="lat" placeholder="الموقع على الخريطة Latitude"
                                       name="lat"
                                       type="text" class="form-control" value="{{old('lat')}}" required>
                                <input id="long" placeholder="الموقع على الخريطة longitude"
                                       name="long" type="text" class="form-control"
                                       value="{{old('long')}}" required>
                            </div>
                        </div>
                        <hr>

                        <div class="row">
                            <div class="col-md-1">
                                <button class="btn btn-primary" type="submit" id="form-submit">إنشاء</button>
                            </div>

                        </div>
                    </form>

                </div>
            </div>
        </div>{{--insert new record form--}}
        <div class="row-fluid">
            <!-- block -->
            <div class="block">
                <div class="navbar navbar-inner block-header">
                    <div class="muted pull-RIGHT "><span class="badge badge-warning">قائمة المستخدمين </span></div>
                    <div class="pull-right">{{--<a href="{{url('admin/statistics')}}"><span class="badge badge-warning">عرض المزيد</span>--}}</a>
                    </div>
                </div>
                <div class="block-content collapse in">
                    <a href="{{url('admin/admins')}}" class="btn btn-danger btn-lg" role="button"><span
                                class="fa fa-user-secret"></span> <br/>المدراء</a>
                    <a href="{{url('admin/laundries')}}" class="btn btn-warning btn-lg" role="button"><span
                                class="fa fa-eercast"></span> <br/>المغاسل</a>
                    <a href="{{url('admin/customers')}}" class="btn btn-primary btn-lg" role="button"><span
                                class="fa fa-user"></span> <br/>العملاء</a>
                </div>
            </div>
            <!-- /block -->
        </div>{{--users list--}}
    </div>
@endsection
