<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
//Guest
Route::post('register', 'Api\ApiUserController@store');
Route::post('verify', 'Api\ApiUserController@verify');
Route::post('login', 'Auth\LoginController@apiLogin');
Route::post('loginTest', 'Auth\LoginController@login');
Route::get('subscriptionPlans', 'Api\ApiSubscriptionPlanController@index');
Route::post('forgetPassword', 'Api\ApiUserController@forgetPassword');
//for skip apple security
Route::get('skipBtn', 'Controller@skipBtnFun');

/*Route::get('skipBtn', function (){
    dd(false);
});*/
//Auth
Route::group(['middleware' => 'auth:api'], function () {
    /* Route::get('test', function () {
         return 'test';
     });*/

    //********************************F O R   A L L
    Route::get('logout', 'Api\ApiUserController@logout');
    //orders
    Route::get('orders/{status}', 'Api\ApiOrderController@index');

    Route::post('user', 'Api\ApiUserController@update');


    //********************************F O R   L A U N D R I E S

    //All items
    Route::get('items', 'Api\ApiAdditionalServiceController@items');

    //All services
    Route::get('services', 'Api\ApiAdditionalServiceController@services');

    //laundry check subscription
    Route::get('checkSubscription', 'Api\ApiUserController@checkSubscription');


    //Laundry Cloth Service Price
    Route::post('clothService', 'Api\ApiLaundryClothPriceController@store');
    Route::delete('clothService/{id}', 'Api\ApiLaundryClothPriceController@delete');

    //Laundry Additional Services Price
    Route::post('additionalService/{id}', 'Api\ApiLaundryAdditionalPriceController@store');
    Route::delete('additionalService/{id}', 'Api\ApiLaundryAdditionalPriceController@delete');

    //order
    Route::post('order/{id}', 'Api\ApiOrderController@updateStatus');

    //user
    Route::get('profile', 'Api\ApiUserController@profile');
    Route::post('updateStatus', 'Api\ApiUserController@updateStatus');


    //********************************F O R   C U S T O M E R S
    //Rate
    Route::post('rate/{laundry_id}', 'Api\ApiRatingController@store');
    Route::delete('rate/{laundry_id}', 'Api\ApiRatingController@delete');

    //laundry
    Route::post('nearby', 'Api\ApiLocationController@nearby');
    Route::get('laundry/{id}', 'Api\ApiUserController@laundryProfile');

    //orders
    Route::post('order', 'Api\ApiOrderController@store');
    Route::post('order/items/update', 'Api\ApiOrderController@updateItems');
    Route::delete('order/{id}', 'Api\ApiOrderController@delete');

    //order clothes
    Route::delete('order/cloth/{id}', 'Api\ApiOrderClothController@delete');
    Route::post('order/cloth/{id}', 'Api\ApiOrderClothController@update');


    //order clothes
    Route::delete('order/additional/{id}', 'Api\ApiOrderAdditionalServiceController@delete');
    Route::post('order/additional/{id}', 'Api\ApiOrderAdditionalServiceController@update');


});
