<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@redirectToLogin');

Auth::routes();

Route::get('home', 'HomeController@index')->name('home');
Route::get('test', function (){
    $s = \App\Subscription::find(1);
    $timestamp = time();
    echo $timestamp;
    echo "<br>";
    $t=  date('Y-m-d H:i:s', $timestamp);
    echo "sssssssssss";
    echo "<br>";
    $now = date_create($t);
    $expired = date_create($s->expired_at);
    $interval = $now->diff($expired);
    echo $interval->format('%R%a يوم');
    echo "<br>";

    echo $t;
    echo "<br>";
    $t = strtotime($t);
    echo $t;


});

Route::group(['prefix' => 'admin', 'middleware' => 'auth'], function () {

    //Messages
    Route::get('messages', 'Admin\AdminMessageController@index');
    Route::delete('message', 'Admin\AdminMessageController@delete');
    Route::put('message', 'Admin\AdminMessageController@read');

    //User
    Route::get('users', 'Admin\AdminUserController@index');
    Route::get('admins', 'Admin\AdminUserController@admins');
    Route::get('laundries', 'Admin\AdminUserController@laundries');
    Route::get('customers', 'Admin\AdminUserController@customers');
    Route::post('user', 'Admin\AdminUserController@store');
    Route::get('user/{id}', 'Admin\AdminUserController@show');
    Route::get('user/map/{lat}/{lng}', 'Admin\AdminUserController@map');
    Route::delete('user', 'Admin\AdminUserController@delete');
    Route::get('marker', 'Admin\AdminUserController@marker');
    Route::get('laundry/{id}/services', 'Admin\AdminUserController@services');

    //Ready to here
    Route::post('user/{id}/UpdatePhoto', 'Admin\AdminUserController@updatePhoto');
    Route::post('user/{id}/updateInfo', 'Admin\AdminUserController@updateInfo');
    Route::post('user/{id}/updatePassword', 'Admin\AdminUserController@updatePassword');
    Route::post('user/{id}/updateCar', 'Admin\AdminUserController@updateCar');
    Route::post('user/{id}/updateLocation', 'Admin\AdminUserController@updateLocation');

    //Subscription Plan
    Route::get('subscriptionPlans', 'Admin\AdminSubscriptionPlanController@index');
    Route::post('subscriptionPlan', 'Admin\AdminSubscriptionPlanController@store');
    Route::get('subscriptionPlan/{id}', 'Admin\AdminSubscriptionPlanController@show');
    Route::post('subscriptionPlan/{id}/update', 'Admin\AdminSubscriptionPlanController@update');

    //Cloth Service
    Route::get('clothesServices', 'Admin\AdminClothServiceController@index');
    Route::get('clothService/{id}', 'Admin\AdminClothServiceController@show');
    Route::post('clothService', 'Admin\AdminClothServiceController@store');
    Route::post('clothService/{id}/update', 'Admin\AdminClothServiceController@update');
    Route::delete('clothService', 'Admin\AdminClothServiceController@delete');

    //Additional Service
    Route::get('additionalServices', 'Admin\AdminAdditionalServiceController@index');
    Route::get('additionalService/{id}', 'Admin\AdminAdditionalServiceController@show');
    Route::post('additionalService', 'Admin\AdminAdditionalServiceController@store');
    Route::post('additionalService/{id}/update', 'Admin\AdminAdditionalServiceController@update');
    Route::delete('additionalService', 'Admin\AdminAdditionalServiceController@delete');


    //Subscription Orders
    Route::get('subscriptionOrders', 'Admin\AdminSubscriptionOrderController@index');
    Route::delete('subscriptionOrder', 'Admin\AdminSubscriptionOrderController@delete');
    Route::get('subscriptionOrder/laundry/{id}', 'Admin\AdminSubscriptionOrderController@show');
    Route::get('subscriptionOrders/accepted', 'Admin\AdminSubscriptionOrderController@accepted');
    Route::get('subscriptionOrders/rejected', 'Admin\AdminSubscriptionOrderController@rejected');
    Route::get('subscriptionOrder/{id}/accept/{duration}', 'Admin\AdminSubscriptionOrderController@accept');
    Route::get('subscriptionOrder/{id}/reject', 'Admin\AdminSubscriptionOrderController@reject');


    //Subscriptions
    Route::get('subscriptions', 'Admin\AdminSubscriptionController@index');
    Route::get('subscriptions/expired', 'Admin\AdminSubscriptionController@expired');
    Route::delete('subscription', 'Admin\AdminSubscriptionController@delete');
    Route::get('subscription/{id}', 'Admin\AdminSubscriptionController@show');
    Route::get('subscription/{id}/update', 'Admin\AdminSubscriptionController@showUpdate');
    Route::post('subscription/{id}/updatePlan', 'Admin\AdminSubscriptionController@updatePlan');
    Route::post('subscription/{id}/updateDays', 'Admin\AdminSubscriptionController@updateDays');


    //Orders
    Route::get('orders', 'Admin\AdminOrderController@index');
    Route::delete('order', 'Admin\AdminOrderController@delete');
    Route::get('order/{id}', 'Admin\AdminOrderController@show');
    Route::get('order/map/{lat}/{lng}', 'Admin\AdminOrderController@map');

});