<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

<!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo $__env->yieldContent('title'); ?> | تطبيق مغاسل</title>
    <!-- Styles -->
    <!-- Bootstrap Core CSS -->
    <link href="<?php echo e(asset('admin/vendors/easypiechart/jquery.easy-pie-chart.css')); ?>" rel="stylesheet">
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <script src="<?php echo e(asset('admin/vendors/modernizr-2.6.2-respond-1.1.0.min.js')); ?>"></script>
    <link href="<?php echo e(asset('admin/bootstrap/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <!--  CSS -->
    <link href="<?php echo e(asset('admin/bootstrap/css/bootstrap-responsive.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/bootstrap-rtl.css')); ?>" rel="stylesheet">
    <!-- fontawsome  CSS -->
    <link href="<?php echo e(asset('css/font-awesome.min.css')); ?>" rel="stylesheet">
    <!--  CSS -->
    <link href="<?php echo e(asset('admin/master.css')); ?>" rel="stylesheet">
    <link rel="shortcut icon" href="<?php echo e(asset('img/site/cp_favicon.ico')); ?>" type="image/x-icon">
    <link rel="icon" href="<?php echo e(asset('img/site/cp_favicon.ico')); ?>" type="image/x-icon">
    <?php echo $__env->yieldContent('head'); ?>

</head>
<body>

<div class="loader">
    <div class="loader-img"></div>
</div>


<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>
            
            <ul class="nav">
                <li class="notification">
                    <a href="<?php echo e(url('admin/messages')); ?>"><?php if($controller->unreadMessagesCount() != 0): ?>
                            <?php if($controller->unreadMessagesCount() >= 99 ): ?> <b>99+</b> <?php else: ?>
                                <b><span> <?php echo e($controller->unreadMessagesCount()); ?></span></b>  <?php endif; ?>  <i
                                    class="fa fa-commenting"></i> <?php endif; ?></a>
                </li>
            </ul>
            

            <a class="navbar-brand" href="<?php echo e(url('home')); ?>"><img class="img-responsive" src="<?php echo e(asset('img/site/brand.png')); ?>"> </a>
            <div class="nav-collapse collapse pull-left">
                <ul class="nav pull-right">
                    <li class="dropdown">
                        <a href="#" role="button" class="dropdown-toggle" data-toggle="dropdown"> <i
                                    class="fa fa-user-circle"></i> <?php echo e(Auth::user()->profile->name); ?> <i class="caret"></i>

                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a tabindex="-1" href="<?php echo e(url('admin/user/'.\Illuminate\Support\Facades\Auth::user()->id)); ?>"><i
                                            class="fa fa-cogs pull-left"
                                            aria-hidden="true"></i> حسابي</a>
                            </li>
                           
                            <li class="divider"></li>
                            <li>
                                <a href="<?php echo e(route('logout')); ?>"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();"><i
                                            class="fa fa-sign-out pull-left" aria-hidden="true"></i>تسجيل
                                    خروج</a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                      style="display: none;">
                                    <?php echo e(csrf_field()); ?>

                                </form>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
            <!--/.nav-collapse -->
        </div>
    </div>
</div>


<div class="container">
    
    <div class="row">
        
        <div class="span3 col-md-2" id="sidebar">
            <ul class="nav nav-list bs-docs-sidenav nav-collapse collapse">
                <li class="active">
                    <a href="<?php echo e(url('home')); ?>"> الرئيسية</a>
                </li>
                <li>
                    <a href="<?php echo e(url('admin/usersList')); ?>"><i class="fa fa-user" aria-hidden="true"></i> المستخدمين<span
                                class="badge badge-default pull-left"><?php if($controller->usersCount() < 999999): ?><?php echo e($controller->usersCount()); ?> <?php else: ?> +999999 <?php endif; ?></span> </a>
                </li>
                <li style="border-top:1px solid darkgray;">
                    <a href="<?php echo e(url('admin/subscriptionPlans')); ?>"><i class="fa fa-table" aria-hidden="true"></i><span
                                class="badge badge-default pull-left"></span> خطط الإشتراك</a>
                </li>
                <li>
                    <a href="<?php echo e(url('admin/subscriptionOrders')); ?>"><i class="fa fa-file" aria-hidden="true"></i><span
                                class="badge badge-default pull-left"><?php if($controller->subscriptionOrdersCount() < 999999): ?><?php echo e($controller->subscriptionOrdersCount()); ?> <?php else: ?> +999999 <?php endif; ?></span> طلبات الإشتراك </a>
                </li>
                <li style="border-bottom:2px solid darkgray;">
                    <a href="<?php echo e(url('admin/subscriptions')); ?>"><i class="fa fa-dollar"
                                                                        aria-hidden="true"></i><span
                                class="badge badge-default pull-left"><?php if($controller->subscriptionsCount() < 999999): ?><?php echo e($controller->subscriptionsCount()); ?> <?php else: ?> +999999 <?php endif; ?></span> إشتراكات المغاسل </a>
                </li>
                
                <li>
                    <a href="<?php echo e(url('admin/orders')); ?>"><i class="fa fa-inbox" aria-hidden="true"></i><span
                                class="badge badge-default pull-left"><?php if($controller->ordersCount() < 999999): ?><?php echo e($controller->ordersCount()); ?> <?php else: ?> +999999 <?php endif; ?></span> الطلبات </a>
                </li>
                <li>
                    <a href="<?php echo e(url('admin/messages')); ?>"><i class="fa fa-commenting" aria-hidden="true"></i> الرسائل
                        الواردة<span
                                class="badge badge-default pull-left"><?php if($controller->unreadMessagesCount() < 999999): ?><?php echo e($controller->unreadMessagesCount()); ?> <?php else: ?> +999999 <?php endif; ?></span></a>
                </li>
                <li style="border-top:1px solid darkgray;">
                    <a href="<?php echo e(url('admin/clothesServices')); ?>"><i class="fa fa-shopping-bag" aria-hidden="true"></i> الملابس </a>
                </li>
                <li style="border-bottom:2px solid darkgray;">
                    <a href="<?php echo e(url('admin/additionalServices')); ?>"><i class="fa fa-plus" aria-hidden="true"></i> الخدمات الإضافية </a>
                </li>
                
                
                
                
                <li>
                    <a href="<?php echo e(route('logout')); ?>"
                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();"
                       style="color: red;font-size: 12px;"><i class="fa fa-sign-out" aria-hidden="true"></i><span
                                class="badge badge-warning pull-left"></span> تسجيل خروج</a>
                </li>
            </ul>
        </div>
        

        

        <?php echo $__env->yieldContent('content'); ?>


        
    </div>
    
    <hr>

</div>


<footer>
    <div class="container">
        <a href="" style="text-decoration: none; color: darkgray; font-size: 90%"><p>
                <span class="fa fa-heart"></span>  تطوير شركة التقنية الأمثل <span class="fa fa-heart"></span></p>
        </a>
    </div>
</footer>



<script src="<?php echo e(asset('admin/vendors/jquery-1.9.1.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/bootstrap/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/vendors/easypiechart/jquery.easy-pie-chart.js')); ?>"></script>
<script src="<?php echo e(asset('admin/scripts.js')); ?>"></script>
<script src="<?php echo e(asset('js/admin/master.js')); ?>"></script>
<?php echo $__env->yieldContent('scripts'); ?>


</body>
</html>

