
<?php $__env->startSection('title'); ?>
    <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('head'); ?>
    <link href="<?php echo e(asset('css/admin/order.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="span9 col-md-9 pull-left  " id="content">
        <div class="row-fluid">
            <!-- block -->
            <?php if($message = Session::get('success')): ?>
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong><?php echo e($message); ?> </strong>
                </div>
            <?php endif; ?>
            <?php if($errors->any()): ?>
                <div class="alert alert-danger alert-dismissable">
                    <a class="panel-close close" data-dismiss="alert">×</a>
                    <strong>تنبيه: </strong>
                    <ul>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            <?php endif; ?>
        </div>
        <div class="block" id="update-form">
            <div class="navbar navbar-inner block-header">
                <div class="muted pull-left"><span> تاريخ إنشاؤه<?php echo e($item->created_at); ?></span>
                    <span> آخر تحديث <?php echo e($item->updated_at); ?></span></div>
                <div class="pull-right">
                    <ul class="breadcrumb">
                        <i class="fa fa-expand hide-sidebar"><a href='#' title="إخفاء الشريط الجانبي"
                                                                rel='tooltip'>&nbsp;</a></i>
                        <i class="fa fa-compress show-sidebar" style="display:none;"><a href='#'
                                                                                        title="إظهار الشريط الجانبي"
                                                                                        rel='tooltip'>&nbsp;</a></i>
                        <li>
                            <a href="<?php echo e(url('home')); ?>">الرئيسية</a> <span class="divider">/</span>
                        </li>
                        <li>
                            <a href="<?php echo e(url('admin/orders')); ?>">الطلبات </a> <span class="divider">/</span>
                        </li>
                        <li>
                            <span class="badge badge-warning"><?php echo e($title); ?> </span>
                            <span> الحالة: </span>
                            <span>
                                <?php 
                                    switch ($item->status) {
                                    case -1:
                                        echo "<span class='fa fa-send-o'> جديد </span>";
                                        break;
                                    case 1:
                                        echo "<span class='fa fa-thumbs-up'> تم </span>";
                                        break;
                                    case 0:
                                        echo "<span class='fa fa-spinner'> جاري التنفيذ... </span>";
                                    }
                                 ?>
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="block-content collapse in">
                <div class="control-group">
                    <div class="row">
                        <div class="col-md-11">
                            <h5><b><span class="fa fa-user"></span> المستخدم </b> <a
                                        href="<?php echo e(url('admin/user/'.$item->customer->id)); ?>"><?php echo e($item->customer->profile->name); ?>

                                    | <?php echo e($item->customer->phone); ?></a> &nbsp; &nbsp; <b><span
                                            class="fa fa-eercast"></span> المغسلة </b> <a
                                        href="<?php echo e(url('admin/user/'.$item->customer->id)); ?>"><?php echo e($item->laundry->profile->name); ?>

                                    | <?php echo e($item->laundry->phone); ?></a></h5>
                            <hr>
                            <h4> التكلفة الإجمالية <b id="cost"><?php echo e($item->cost); ?> ريال</b></h4>

                            <hr>
                            <h4><span class="fa fa-shopping-basket"></span> الملابس
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>القطعة</th>
                                    <th>الخدمة</th>
                                    <th>عدد الأبيض</th>
                                    <th>عدد الملون</th>

                                    <th>التكلفة الإجمالية
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $item->orderClothes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $orderCloth): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="item-<?php echo e($item->id); ?>">
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($orderCloth->laundryClothPrice->name); ?></td>
                                        <td>
                                            <?php 
                                                //0 is washing, 1 is ironing, 2 both
                                                    switch ($orderCloth->washingOrIroning) {
                                                    case 0:
                                                        echo "<span class=''> غسيل </span>";
                                                        break;
                                                    case 1:
                                                        echo "<span class=''> كوي </span>";
                                                        break;
                                                    case 2:
                                                        echo "<span class=''> غسيل و كوي </span>";
                                                    }
                                             ?>
                                        </td>
                                       
                                        <td><?php echo e($orderCloth->white_count); ?></td>
                                        <td><?php echo e($orderCloth->colored_count); ?></td>

                                        <td>
                                            <?php echo e(($controller->getClothWhiteCost($orderCloth->laundry_cloth_price_id, $orderCloth->washingOrIroning, 0) * $orderCloth->white_count) + ($controller->getClothColoredCost($orderCloth->laundry_cloth_price_id, $orderCloth->washingOrIroning, 0) * $orderCloth->colored_count)); ?>

                                        </td>
                                        <td><?php echo e($controller->time_ago($orderCloth->created_at)); ?>

                                            <small><?php echo e($orderCloth->created_at); ?></small>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                            <hr>
                            <h4><span class="fa fa-tasks"></span> الخدمات الإضافية
                                <small>(غسيل)</small>
                            </h4>
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الخدمة</th>
                                    <th>التكلفة للواحدة
                                        <small>( ريال )</small>
                                    </th>
                                    <th>العدد</th>
                                    <th>التكلفة الإجمالية
                                        <small>( ريال )</small>
                                    </th>
                                    <th>تاريخ الإنشاء</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $item->orderAdditionalServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $orderAdditionalService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="item-<?php echo e($item->id); ?>">
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($orderAdditionalService->laundryAdditionalPrice->name); ?></td>
                                        <td>
                                            <?php echo e($orderAdditionalService->laundryAdditionalPrice->washing); ?>

                                        </td>
                                        <td><?php echo e($orderAdditionalService->count); ?></td>
                                        <td>
                                            <?php echo e($orderAdditionalService->laundryAdditionalPrice->washing * $orderAdditionalService->count); ?>

                                        </td>
                                        <td><?php echo e($controller->time_ago($orderAdditionalService->created_at)); ?>

                                            <small><?php echo e($orderAdditionalService->created_at); ?></small>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                            <hr>
                            <h4>موقع الطلب على الخريطة</h4>
                            <div class="row">
                                <div class="col-md-12" id="map-marker-div">
                                    <iframe name="map-marker"
                                            src="<?php echo e(url('admin/order/map/'.$item->lat.'/'.$item->lng)); ?>"
                                            height="500px" width="90%"
                                            scrolling="no" style="border:0" frameborder="0" allowfullscreen></iframe>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>