
<?php $__env->startSection('title'); ?>
    <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('head'); ?>
    <link href="<?php echo e(asset('css/admin/subscriptions.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '<?php echo e(url('admin/order')); ?>',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('active_title'); ?>
    <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('count'); ?>
    <?php echo e($items->count()); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('table-title'); ?>
    لوحة <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('table'); ?>
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الزبون</th>
            <th>المغسلة</th>
            <th>السعر</th>
            <th>الحالة</th>
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr id="item-<?php echo e($item->id); ?>">
                <td><?php echo e($page_loop); ?></td>
                <td><a href="<?php echo e(url('admin/user/'.$item->customer->id)); ?>"><?php echo e($item->customer->profile->name); ?> | <?php echo e($item->customer->phone); ?></a></td>
                <td><a href="<?php echo e(url('admin/user/'.$item->laundry->id)); ?>"><?php echo e($item->laundry->profile->name); ?> | <?php echo e($item->laundry->phone); ?></a></td>
                <td><?php echo e($item->cost); ?></td>
                <td>
                    <?php 
                        switch ($item->status) {
                        case -1:
                            echo "<span class='fa fa-send-o'> جديد </span>";
                            break;
                        case 1:
                            echo "<span class='fa fa-thumbs-up'> تم </span>";
                            break;
                        case 0:
                            echo "<span class='fa fa-spinner'> جاري التنفيذ... </span>";
                        }
                     ?>
                </td>
                <td><?php echo e($controller->time_ago($item->created_at)); ?>

                    <small><?php echo e($item->created_at); ?></small>
                </td>
                <td><a href="<?php echo e(url('admin/order/'.$item->id)); ?>" class="btn btn-success">
                        <span class="fa fa-eye"></span></a>
                    <button class="btn btn-danger" onclick="deleteItem(<?php echo e($item->id); ?>)"><span
                                class="fa fa-remove"></span>
                    </button>
                </td>
            </tr>
            <?php $page_loop++; ?>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <div class="pagination">
        <?php echo e($items->links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>