<?php $__env->startSection('title'); ?>
    <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('head'); ?>
    <link href="<?php echo e(asset('css/admin/users.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        function deleteItem(id) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var result = confirm("هل أنت متأكد من عملية الحذف؟");
            if (result) {
                $.ajax({
                    url: '<?php echo e(url('admin/user')); ?>',
                    type: 'delete',
                    data: {'id': id, '_token': token},
                    success: function (response) {
                        $('#item-' + id).remove();
                    },
                    error: function () {
                        alert('لم تتم العملية ، حدث خطأ غير متوقع');
                    }
                }); // end ajax call
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('active_title'); ?>
    <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('count'); ?>
    <?php echo e($items->count()); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('table-title'); ?>
    لوحة <?php echo e($title); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('table'); ?>
    <table class="table table-hover table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>الإسم</th>
            <th>رقم الجوال</th>
            <th>البريد الإلكتروني</th>
            <?php if($users_role == 2): ?>
                <th>تاريخ انتهاء الأشتراك</th>
            <?php endif; ?>
            <th>تاريخ الإنشاء</th>
            <th>خيارات</th>
        </tr>
        </thead>
        <tbody>
        <?php if (isset($_GET["page"])) $page_num = $_GET["page"]; else $page_num = 1; $page_loop = ($page_num * 15) - 14; ?>
        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr id="item-<?php echo e($item->id); ?>">
                <td><?php echo e($page_loop); ?></td>
                <td><?php if($item->userProfile->name != null): ?><?php echo e($item->userProfile->name); ?> <?php else: ?> لا يوجد <?php endif; ?></td>
                <td><?php echo e($item->phone); ?></td>
                <td><?php echo e($item->userProfile->email); ?></td>
                <?php if($users_role == 2): ?>
                    <td><?php echo e($item->subscription->expired_at); ?> <a href="#" class="btn btn-warning"><span class="fa fa-dollar"></span></a></td>
                <?php endif; ?>
                <td><?php echo e($controller->time_ago($item->created_at)); ?>

                    <small><?php echo e($item->created_at); ?></small>
                </td>
                <td>
                    <a class="btn btn-success" href="<?php echo e(url('admin/user/'.$item->id)); ?>"><span
                                class="fa fa-edit"></span>
                    </a>
                    <?php if($item->id != Auth::user()->id): ?>
                        <a class="btn btn-danger" onclick="deleteItem(<?php echo e($item->id); ?>)"><span
                                    class="fa fa-remove"></span>
                        </a><?php else: ?>
                        <small class="btn disabled" onclick="alert('لا يمكنك حذف نفسك !!')"
                               style="cursor: no-drop"><span
                                    class="fa fa-remove"> حذف</span>
                        </small> <?php endif; ?>
                </td>
            </tr>
            <?php $page_loop++; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <div class="pagination">
        <?php echo e($items->links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>